be.fgov.ehealth.rn.baselegaldata.v1

## Class NationalityInfoDeclarationType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoDeclarationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class NationalityInfoDeclarationType
      extends Object
      implements Serializable

  Type describing the NationalityInfo part of the person information to be provided by the customer

  Java class for NationalityInfoDeclarationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NationalityInfoDeclarationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NationalityCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityCodeType" minOccurs="0"/>
               <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="ExpiryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NationalityInfoDeclarationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getExpiryDate()` Gets the value of the expiryDate property.
    `org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
    `Integer` | `getNationalityCode()` Gets the value of the nationalityCode property.
    `void` | `setExpiryDate(org.joda.time.DateTime value)` Sets the value of the expiryDate property.
    `void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
    `void` | `setNationalityCode(Integer value)` Sets the value of the nationalityCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NationalityInfoDeclarationType

          public NationalityInfoDeclarationType()

  - ### Method Detail

    - #### getNationalityCode

          public Integer getNationalityCode()

      Gets the value of the nationalityCode property.
      Returns:
        possible object is `Integer`

    - #### setNationalityCode

          public void setNationalityCode(Integer value)

      Sets the value of the nationalityCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getInceptionDate

          public org.joda.time.DateTime getInceptionDate()

      Gets the value of the inceptionDate property.
      Returns:
        possible object is `String`

    - #### setInceptionDate

          public void setInceptionDate(org.joda.time.DateTime value)

      Sets the value of the inceptionDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExpiryDate

          public org.joda.time.DateTime getExpiryDate()

      Gets the value of the expiryDate property.
      Returns:
        possible object is `String`

    - #### setExpiryDate

          public void setExpiryDate(org.joda.time.DateTime value)

      Sets the value of the expiryDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.